/* #region FAQ SECTION */
.faq {
  padding-block: 196px 150px;
  position: relative;
  display: flex;
  align-items: center;
  overflow: hidden;

  &::before {
    content: "";
    position: absolute;
    top: -20%;
    left: -20%;
    z-index: -1;
    border-radius: 883px;
    background: rgba(123, 47, 255, 0.2);
    filter: blur(248px);
    width: 883px;
    height: 852px;
  }
}

.faq__wrapper {
  display: flex;
  gap: 64px;
  flex-direction: column;
  min-height: 610px;
}

.faq__content {
  display: flex;
  gap: 65px;
  width: 100%;
}

.faq__title {
  font-size: 50px;
  margin-bottom: 20px;
  color: #fff;
}

.faq__desc {
  margin-bottom: 24px;
}

.faq__sidebar {
  display: flex;
  flex-direction: column;
  gap: 20px;
  max-width: 291px;
  width: 100%;
  flex-shrink: 0;
  text-align: start;
  align-items: flex-start;
}

.faq__category-btn {
  cursor: pointer;
  padding-bottom: 5px;
  color: #c6c6c6;
  font-size: 30px;
  font-weight: 700;
  text-transform: uppercase;
  position: relative;
  transition: color 0.3s;

  &::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 2px;
    width: 0;
    background: radial-gradient(
      408% 48% at 50% 41%,
      #7664ff 0%,
      #5c4dcb 50%,
      #413697 100%
    );
    transition: width 0.3s;
  }

  &:hover {
    color: #b7a2ff;
  }

  &.is-active {
    color: #7664ff;

    &::after {
      width: 100%;
    }
  }
}

.faq__tabs-container {
  position: relative;
  flex-grow: 1;
}
.faq__accordion-group {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.5s ease-in-out;

  &.is-visible {
    opacity: 1;
    position: relative;
    pointer-events: auto;
  }
}

.faq__accordion {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.faq__accordion-item {
  border-radius: 8px;
  overflow: hidden;

  &.is-active {
    .faq__accordion-icon {
      transform: rotate(90deg);
    }

    .faq__accordion-content {
      grid-template-rows: 1fr;
      opacity: 1;
      margin-top: 8px;
      border-width: 1px;
    }

    .faq__accordion-header {
      color: #7664ff;
      border-color: #7664ff;
    }

    .faq__accordion-inner {
      padding-block: 22px;
    }
  }
}

.faq__accordion-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
  width: 100%;
  padding: 22px 27px;
  cursor: pointer;
  text-align: left;
  color: #b7a2ff;
  border-radius: 20px;
  border: 1px solid #211943;
  background: #080612;
  transition: color 0.3s, border-color 0.3s;

  &:hover {
    color: #7664ff;
    border-color: #7664ff;
  }
}

.faq__accordion-icon {
  flex-shrink: 0;
  transition: transform 0.3s, color 0.3s;

  &:hover {
    color: #7664ff;
  }
}

.faq__accordion-content {
  display: grid;
  grid-template-rows: 0fr;
  border-radius: 20px;
  border: 0 solid #211943;
  background: #080612;
  margin-top: 0;
  opacity: 0;
  transition: grid-template-rows 0.3s, opacity 0.3s, margin 0.3s,
    border-width 0.3s;
}

.faq__accordion-inner {
  display: flex;
  flex-direction: column;
  gap: 10px;
  overflow: hidden;
  padding-inline: 27px;
  padding-block: 0;
  transition: padding 0.3s;
}

.faq__image-block {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  align-self: center;
  max-width: 196px;
  width: 100%;
  max-height: 388px;
  height: 100%;
  animation: levitation 5s infinite ease-in-out;

  &::before {
    content: "";
    position: absolute;
    top: 50%;
    right: 50%;
    transform: translate(50%, -50%);
    z-index: -1;
    border-radius: 400px;
    background: #0b005c;
    filter: blur(225px);
    max-width: 382px;
    width: 100%;
    max-height: 400px;
    height: 100%;
  }
}

@media (width < 1440px) {
  .faq__content {
    gap: 20px;
  }
  .faq__sidebar {
    width: auto;
  }
}

@media (width < 1200px) {
  .faq {
    padding-block: 180px 120px;
    &::before {
      top: -40%;
      left: -40%;
    }
  }

  .faq__wrapper {
    min-height: 724px;
    gap: 70px;
  }
  .faq__image-block {
    display: none;
  }
  .faq__desc {
    margin-bottom: 0;
  }
  .faq__content {
    flex-direction: column;
    align-items: center;
    gap: 74px;
  }
  .faq__sidebar {
    flex-direction: row;
    max-width: 100%;
    gap: 64px;
  }
}

@media (width < 768px) {
  .faq {
    padding-block: 160px 90px;
  }
  .faq__wrapper {
    gap: 60px;
    min-height: auto;
  }
  .faq__content {
    min-height: 600px;
    gap: 50px;
  }
  .faq__sidebar {
    flex-direction: column;
    align-items: center;
    gap: 42px;
  }
  .faq__accordion-header {
    padding: 22px 20px;
  }
  .faq__accordion-inner {
    padding-inline: 20px;
  }
}
/* #endregion FAQ SECTION */
